select distinct TC.TCLN_ID
from TEST_CASE TC
inner join MILESTONE_TEST_CASE MILESTONES on TC.TCLN_ID = MILESTONES.TEST_CASE_ID
inner join TEST_CASE_LIBRARY_NODE TCLN on TC.TCLN_ID = TCLN.TCLN_ID
where MILESTONES.MILESTONE_ID in (:milestones)
and TCLN.PROJECT_ID in (:projectIds)
